# Method: inboundOidcSsoProfiles.patch

Updates an `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile`.

When the target customer has enabled [Multi-party approval for sensitive actions](https://support.google.com/a/answer/13790448), the `Operation` in the response will have `"done": false`, it will not have a response, and the metadata will have `"state": "awaiting-multi-party-approval"`.

### HTTP request

`PATCH https://cloudidentity.googleapis.com/v1beta1/{inboundOidcSsoProfile.name=inboundOidcSsoProfiles/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inboundOidcSsoProfile.name` | `string` Output only. [Resource name](https://cloud.google.com/apis/design/resource_names) of the OIDC SSO profile. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/v1beta1/inboundOidcSsoProfiles#InboundOidcSsoProfile`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.inboundsso`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).